Skip to main content
PUT
Replace the workspace branding

Authorizations

Authorization
string
header
required

Partner API key: Authorization: Bearer vk_live_…. Use vk_test_… keys against the sandbox. See Authentication.

Body

application/json

Theme of your dashboards. No approval needed.

primaryColor
string | null

Colour #rrggbb.

Pattern: ^#[0-9a-fA-F]{6}$
secondaryColor
string | null

Colour #rrggbb.

Pattern: ^#[0-9a-fA-F]{6}$
backgroundColor
string | null

Colour #rrggbb.

Pattern: ^#[0-9a-fA-F]{6}$
surfaceColor
string | null

Colour #rrggbb.

Pattern: ^#[0-9a-fA-F]{6}$
textColor
string | null

Colour #rrggbb.

Pattern: ^#[0-9a-fA-F]{6}$
accentColor
string | null

Colour #rrggbb.

Pattern: ^#[0-9a-fA-F]{6}$
buttonColor
string | null

Colour #rrggbb.

Pattern: ^#[0-9a-fA-F]{6}$
buttonTextColor
string | null

Colour #rrggbb.

Pattern: ^#[0-9a-fA-F]{6}$
buttonBorderColor
string | null

Colour #rrggbb.

Pattern: ^#[0-9a-fA-F]{6}$
logoAssetId
integer<uint64> | null

Id of a ready brand asset of your partner.

Required range: 0 <= x <= 18446744073709552000
logoDarkAssetId
integer<uint64> | null

Id of a ready brand asset of your partner.

Required range: 0 <= x <= 18446744073709552000
iconAssetId
integer<uint64> | null

Id of a ready brand asset of your partner.

Required range: 0 <= x <= 18446744073709552000
heroImageAssetId
integer<uint64> | null

Id of a ready brand asset of your partner.

Required range: 0 <= x <= 18446744073709552000
faviconAssetId
integer<uint64> | null

Favicon asset.

Required range: 0 <= x <= 18446744073709552000
emailLogoAssetId
integer<uint64> | null

Email logo asset.

Required range: 0 <= x <= 18446744073709552000
fontFamily
string | null

Font family key.

cornerRadius
string | null

Corner radius key.

extensions
object | null

Namespaced display hints (keys x-* or .*).

Response

Success.

Single-object envelope around WorkspaceBranding.

data
object
required

Your workspace branding (dashboard theme).